package config

import (
	"os"

	"github.com/sirupsen/logrus"
	"gopkg.in/yaml.v2"
)

var Cfg Config

type Config struct {
	Debug           bool
	StoragePath     string   `yaml:"storagePath"`
	ImageUrlAddress string   `yaml:"imageUrlAddress"`
	ScyllaDB        ScyllaDB `yaml:"scylladb"`
}

type ScyllaDB struct {
	Host     string
	Username string
	Password string
	Keyspace string
}

func LoadConfig() {
	data, err := os.ReadFile("config.yml")

	if err != nil {
		logrus.Fatalln("Failed to read config file, err:", err)
	}

	if err := yaml.Unmarshal(data, &Cfg); err != nil {
		logrus.Fatalln("Failed to unmarshal config file, err:", err)
	}
}
